﻿/**
* Tsuka - Upload Periscope
* @author Jukka Paasonen
* @see http://paazio.nanbudo.fi/
* 
* @lisense The Q Public License Version 1.0
*          http://www.opensource.org/licenses/qtpl.php
*
* @package Tsuka
* @copyright paazio [at] users.sourceforge.net 2005-2007
*/

/**
* Choose the output type by using get variable "type":
* - 1  the total size of the upload
* - 2  the current size of uploaded data
*/

blue._xscale = 0;
textanus.text = "0 %";

var loadedOne:Boolean = false;
var loader:LoadVars = new LoadVars();

loader.onLoad = function(success:Boolean) {
	if (success) {
		this.decode();
		if (this.total) {
			loadedOne = true;
		}
		for (var prop in this) {
			trace(prop + " -> " + this[prop]);
		}
	}
	else {
		trace("Error while loading data.");
	}
};

this.onEnterFrame = function() {
	if (loadedOne) {
		loader.load("periscope.php?type=2");
		if (loader.current) {
			var prossa = Math.floor(loader.current / loader.total * 100);
			red._alpha = 100 - prossa / 2;
			blue._alpha = prossa / 2 + 50;
			blue._xscale = prossa;
			textanus.text = prossa + " %";
		}
	}
	else {
		loader.load("periscope.php?type=1");
	}
};
