/*****************************************

Tsuka - Javascripts needed in CSS creator

Jukka Paasonen
http://paazio.nanbudo.fi/
paazio [at] users.sourceforge.net

The Q Public License Version 1.0
http://www.opensource.org/licenses/qtpl.php

******************************************/

// Declare the variables used globally.
var fontList = new Array (
	"Arial", 
	"Times New Roman", 
	"Verdana"
);
var colorList = new Array (
	"aqua", 
	"black",
	"blue", 
	"fuchsia", 
	"gray", 
	"green", 
	"lime", 
	"maroon", 
	"navy", 
	"olive", 
	"purple", 
	"red", 
	"silver", 
	"teal", 
	"white", 
	"yellow"
);
var borderTypes = new Array (
	"none", 
	"dotted", 
	"dashed", 
	"solid", 
	"double", 
	"groove", 
	"ridge", 
	"inset", 
	"outset", 
	"hidden"
);

var colorPalette = new Array (
	"fff", "fcc", "fc9", "ff9", "ffc", "9f9", "9ff", "cff", "ccf", "fcf",
	"ccc", "f66", "f96", "ff6", "ff3", "6f9", "3ff", "6ff", "99f", "f9f",
	"c0c0c0", "f00", "f90", "fc6", "ff0", "3f3", "6cc", "3cf", "66c", "c6c",
	"999", "c00", "f60", "fc3", "fc0", "3c0", "0cc", "36f", "63f", "c3c",
	"666", "900", "c60", "c93", "990", "090", "399", "33f", "60c", "939",
	"333", "600", "930", "963", "660", "060", "366", "009", "339", "636",
	"000", "300", "630", "633", "330", "030", "033", "006", "309", "303"
);


function isJsEnabled() {
	if (typeof document.jsEnabled == 'undefined') {
	// Note: ! casts to boolean implicitly.
	document.jsEnabled = !(
		!document.getElementsByTagName ||
		!document.createElement        ||
		!document.createTextNode       ||
		!document.documentElement      ||
		!document.getElementById);
	}
	return document.jsEnabled;
}

// Declare a function to create the css formatting.
function writecss() {
	// Fetch the values and write them in a new file.
}

// Show/hide element. object, boolean show/hide.
function uselogo(obj, hide) {
	if (hide) {
		obj.style.visibility = "visible";
	}
	else {
		obj.style.visibility = "hidden";
	}
}

function boxChecked(obj) {
	// See if checkbox is checked
	if (obj.type == "checkbox") {
		return obj.checked;
	}
	return false;
}

function optionSelected(obj, val) {
	// See if the given value is the same as the selected option.
	if (obj.type == "select-one" || obj.type == "select-multiple") {
		if (obj.options[obj.selectedIndex] == val) {
			return true;
		}
	}
	return false;
}

function valueMinLength(obj, minimum) {
	// See if the element has atleats value of lenght "minimum".
	if (obj.value.lenght => minimum) {
		return true;
	}
	return false;
}

function showColorPalette(divParent) {
	var counter = 0;
	for (var item in colorPalette) {
		if (counter == 10) {
			document.divParent.innerHTML += "<br />";
			counter = 0;
		}
		document.divParent.innerHTML += "<div class=\"box\" style=\"background-color:#" + colorPalette[item] + ";\" onclick=\"document.forms[0].color.value='#" + colorPalette[item] + "'\">&nbsp;</div>";
		counter++;
	}
}
