<?php
/**
* Tsuka - PHP version checker
* @author Jukka Paasonen
* @see http://paazio.nanbudo.fi/
* 
* @lisense The Q Public License Version 1.0
*          http://www.opensource.org/licenses/qtpl.php
*
* @package Tsuka
* @copyright paazio [at] users.sourceforge.net 2005-2007
*
* This file requires atleast PHP version 4.3.0
*/
header('Content-type: text/html; charset=UTF-8');
require('PHP/CompatInfo.php'); // 1.3.2

$info = new PHP_CompatInfo();
$info->latest_version='2.0.1';
echo $info->latest_version;

$opts = array('debug' => true);

$files = glob('./*.php');
/*
$files[] = 'DB.php';
$files[] = 'DB/mysql.php';
$files[] = 'DB/mysqli.php';
$files[] = 'DB/pgsql.php';
$files[] = 'DB/sqlite.php';
$files[] = 'MDB.php';
$files[] = 'MDB/mysql.php';
//$files[] = 'MDB/mysqli.php';
$files[] = 'MDB/pgsql.php';
//$files[] = 'MDB/sqlite.php';
$files[] = 'MDB2.php';
$files[] = 'MDB2/Driver/mysql.php';
$files[] = 'MDB2/Driver/mysqli.php';
$files[] = 'MDB2/Driver/pgsql.php';
$files[] = 'MDB2/Driver/sqlite.php';
*/
foreach($files as $fl) {
	echo '<br /><b>'.$fl.'</b>';
	$hoplaa = $info->parseFile($fl, $opts);
	echo '<br />Version : '.$hoplaa['version'];
	if ($hoplaa['max_version'] != '')
		echo '<br />Max version : '.$hoplaa['max_version'];
	if (count($hoplaa['extensions']) > 0) {
		echo '<br />Extensions : ';
		foreach ($hoplaa['extensions'] as $hop)	{
			echo '<br /> - '.$hop;
		}
	}
	if (count($hoplaa['constants']) > 0) {
		echo '<br />Constants : ';
		foreach ($hoplaa['constants'] as $hop)	{
			echo '<br /> - '.$hop;
		}
	}
	echo '<br />';
}
?>