<?php
/**
* Tsuka - Playlist for FLV and MP3 files
* @author Jukka Paasonen
* @see http://paazio.nanbudo.fi/
* 
* @lisense The Q Public License Version 1.0
*          http://www.opensource.org/licenses/qtpl.php
*
* @package Tsuka
* @copyright paazio [at] users.sourceforge.net 2005-2007
*
* This file requires atleast PHP version 3.0.0
*/
require('./initialize.php');

// Write common headers immediately.
header("Cache-Control: no-cache, must-revalidate, post-check=0, pre-check=0");
header("Pragma: no-cache");
header("Expires: 0");

// Output the XML header.
header('Content-type: text/xml; charset=UTF-8');
echo '<?xml version="1.0" encoding="UTF-8" ?>';
?>
<!--
Tsuka - Playlist for FLV files

Document versions:
 0.1   16/12/2005   First definition of the playlist
 0.2   11/06/2006   Definition update


Jukka Paasonen
http://paazio.nanbudo.fi/
paazio@vardo.net

The Q Public License Version 1.0
http://www.opensource.org/licenses/qtpl.php

-->
<?php
if (isset($_SESSION['user'])) {
	$owner = $_SESSION['user'];
}
else {
	$owner = $_SESSION['id'];
}
$sql = 'SELECT plid FROM playlist WHERE userid=\''.$owner.'\' ORDER BY plid DESC LIMIT 1'; 
$run = $mdb2->query($sql);
if (!PEAR::isError($run)) {
	if ($run->numRows() > 0) {
		// Ok, we have a playlist ID.
		$res = $run->fetchRow(MDB2_FETCHMODE_ASSOC);
		$sql = 'SELECT B.video_id, B.information, B.subject FROM tu_playlist_item AS A, videos AS B WHERE A.plid=\''.$res['plid'].'\' AND B.video_id=A.videoid'; 
		echo '<!-- plid: '.$res['plid'].' -->';
		$run = $mdb2->query($sql);
		if (!PEAR::isError($run)) {
			if ($run->numRows() > 0) {
				echo '<tsukalist>';
				while ($res = $run->fetchRow(MDB2_FETCHMODE_ASSOC)) {
					// Remember to encode all special characters to a numerical format, example &#228; would be ä.
					echo '<flvitem id="'.$res['video_id'].'" title="'.$res['subject'].'" subject="'.$res['information'].'" />';
				}
				echo '</tsukalist>';
			}
		}
		else {
			echo '<!-- '.$run->getMessage().' -->';
		}
	}
	else {
		// Nothing found...
		echo '<comment>Full of emptiness</comment>';
	}
}
else {
	echo '<!-- '.$run->getMessage().' -->';
}
$mdb2->disconnect();
?>