﻿/**
* Tsuka - Flash video player: Get Flash plugin version
* @author Jukka Paasonen
* @see http://paazio.nanbudo.fi/
* 
* @lisense The Q Public License Version 1.0
*          http://www.opensource.org/licenses/qtpl.php
*
* @package Tsuka
* @copyright paazio [at] users.sourceforge.net 2005-2007
*/

/**
* Return values:
* - 0  Could not connect to the database
* - 1  Unable to use the database
* - 2  No Session ID
* - 3  Version info not received
* - 4  Version received, but no row updated
* - 5  Version received and row updated
*/

var url:String = "flashver.php";

var dat:Array = System.capabilities.version.split(" ");
dat = dat[dat.length - 1].split(",");
var ver:Number = Number(dat[0]);


trace(ver);

var receiver:LoadVars = new LoadVars();
receiver.onLoad = function(success:Boolean) {
	if (success) {
		// Succeeded
		trace(this.result);
	}
	else {
		// Failed
	}
};
var sender:LoadVars = new LoadVars();
sender.version = ver;
sender.sendAndLoad(url, receiver, "POST");
