<?php
/**
* Tsuka - Sniff, sniff. What is smelling here?
* @author Jukka Paasonen
* @see http://paazio.nanbudo.fi/
* 
* @lisense The Q Public License Version 1.0
*          http://www.opensource.org/licenses/qtpl.php
*
* @package Tsuka
* @copyright paazio [at] users.sourceforge.net 2005-2007
*
* This file requires atleast PHP version 5.0.0
*/
header('Content-type: text/html; charset=UTF-8');
require('PHP/CodeSniffer.php'); // 0.1.1

$sniff = new PHP_CodeSniffer();

$files = glob('./*.php');
$files[] = 'DB.php';
$files[] = 'DB/mysql.php';
$files[] = 'DB/mysqli.php';
$files[] = 'DB/pgsql.php';
$files[] = 'DB/sqlite.php';
$files[] = 'MDB.php';
$files[] = 'MDB/mysql.php';
//$files[] = 'MDB/mysqli.php';
$files[] = 'MDB/pgsql.php';
//$files[] = 'MDB/sqlite.php';
$files[] = 'MDB2.php';
$files[] = 'MDB2/Driver/mysql.php';
$files[] = 'MDB2/Driver/mysqli.php';
$files[] = 'MDB2/Driver/pgsql.php';
$files[] = 'MDB2/Driver/sqlite.php';

foreach($files as $fl) {
	echo '<br /><b>'.$fl.'</b>';
	try {
		$sniff->prosess($fl);
	}
	catch (PHP_CodeSniffer_Exception) {
		echo '<br />Shit';
	}	
}
?>